using Microsoft.Extensions.Configuration;

namespace HKCardManager
{
    internal static class Program
    {
        /// <summary>
        ///  The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            // To customize application configuration such as set high DPI settings or default font,
            // see https://aka.ms/applicationconfiguration.
            ApplicationConfiguration.Initialize();
            var configer = (new ConfigurationBuilder()).AddJsonFile("options.json").Build();
            HKLib.Configer.SaasRoute = configer["SaasRoute"];
            HKLib.Configer.MqAddress = configer["MQ"];
            HKLib.Configer.TenantId = configer["TenantId"];
            Application.Run(new Form1());
        }
    }
}